# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    mkdirs("/opt/rsatconsole")
    filecopyto("RsatConsole", "/opt/rsatconsole/RsatConsole")
    run("chmod 755 /opt/rsatconsole/RsatConsole")
    filecopyto('WAPT/icon.png','/opt/rsatconsole/rsatconsole.png') # todo
    filecopyto('rsatconsole.desktop',"/opt/rsatconsole/rsatconsole.desktop") # todo
    run('ln -sf "/opt/rsatconsole/rsatconsole.desktop" "/usr/share/applications/rsatconsole.desktop"') # todo

def uninstall():
    remove_file("/usr/share/applications/rsatconsole.desktop")
    remove_tree("/opt/rsatconsole")


def audit():
    if not isfile("/opt/rsatconsole/RsatConsole"):
        print("erreur file not found")
        return "ERROR"
    else:
        return "OK"
